Create Note
POST /api/desktop/notes
POST
/api/desktop/notes
Create a new quick note.
Request Body required
Section titled “Request Body required ” QuickNoteCreateRequest
Create a new quick note.
object
content
Content
Note text
string
color
Color
Note background color
string
Responses
Section titled “ Responses ”Successful Response
QuickNoteResponse
Single note response wrapper.
object
status
required
Status
Operation status
string
data
required
QuickNoteResponseData
Note payload
object
note
required
QuickNote
The note
object
id
required
Id
Note UUID
string
projectId
required
Projectid
Owning project
string
content
Content
Note text
string
color
Color
Note background color
string
sortOrder
Sortorder
Display order
integer
createdAt
required
Createdat
Created timestamp (ms)
integer
modifiedAt
required
Modifiedat
Modified timestamp (ms)
integer
Validation Error
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context